summaryrefslogtreecommitdiffstats
path: root/development/yasm
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:53:42 +0200
committer Erik Hanson2010-05-11 22:53:42 +0200
commit6eabebf801251e6e47e3fc7f5cb933a82227909c (patch)
treeb6699e82a6313a42265c242585fd00e18dad4884 /development/yasm
parent80823352c1fc8c16b4ef0f3ff949aab0c0255b98 (diff)
downloadslackbuilds-6eabebf801251e6e47e3fc7f5cb933a82227909c.tar.gz
development/yasm: Added to 12.1 repository
Diffstat (limited to 'development/yasm')
-rw-r--r--development/yasm/README7
-rw-r--r--development/yasm/slack-desc19
-rw-r--r--development/yasm/yasm.SlackBuild86
-rw-r--r--development/yasm/yasm.info8
4 files changed, 120 insertions, 0 deletions
diff --git a/development/yasm/README b/development/yasm/README
new file mode 100644
index 0000000000..ef62a35d29
--- /dev/null
+++ b/development/yasm/README
@@ -0,0 +1,7 @@
+Yasm is a complete rewrite of the NASM assembler under the "new"
+BSD License (some portions are under other licenses, see COPYING
+for details). Yasm currently supports the x86 and AMD64 instruction
+sets, accepts NASM and GAS assembler syntaxes, outputs binary,
+ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and
+Win64 object formats, and generates source debugging information
+in STABS, DWARF 2, and CodeView? 8 formats.
diff --git a/development/yasm/slack-desc b/development/yasm/slack-desc
new file mode 100644
index 0000000000..763aedd950
--- /dev/null
+++ b/development/yasm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+yasm: yasm (Rewrite of the NASM assembler)
+yasm:
+yasm: Yasm is a complete rewrite of the NASM assembler under the "new"
+yasm: BSD License (some portions are under other licenses, see COPYING
+yasm: for details). Yasm currently supports the x86 and AMD64 instruction
+yasm: sets, accepts NASM and GAS assembler syntaxes, outputs binary,
+yasm: ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and
+yasm: Win64 object formats, and generates source debugging information
+yasm: in STABS, DWARF 2, and CodeView? 8 formats.
+yasm:
+yasm: Homepage: http://www.tortall.net/projects/yasm/
diff --git a/development/yasm/yasm.SlackBuild b/development/yasm/yasm.SlackBuild
new file mode 100644
index 0000000000..97da8ea4f9
--- /dev/null
+++ b/development/yasm/yasm.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for yasm
+
+# Copyright 2008 Heinz Wiesinger <pprkut@iwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yasm
+VERSION=0.7.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This builds a static library, and there's no way around it,
+# so don't bother trying...
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-python \
+ --enable-python-bindings \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING GNU_* INSTALL NEWS README *.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/yasm/yasm.info b/development/yasm/yasm.info
new file mode 100644
index 0000000000..8d39f52e07
--- /dev/null
+++ b/development/yasm/yasm.info
@@ -0,0 +1,8 @@
+PRGNAM="yasm"
+VERSION="0.7.2"
+HOMEPAGE="http://www.tortall.net/projects/yasm/"
+DOWNLOAD="http://www.tortall.net/projects/yasm/releases/yasm-0.7.2.tar.gz"
+MD5SUM="cc9360593de5625dca286f0bfcb27dd5"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"